/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mail;

import java.util.Date;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import com.funambol.storage.Serializable;
import com.funambol.storage.ComplexSerializer;

/**
 * Overload serialization methods of Message to load the headers only. It is
 * used by RMSStore.getHeaders() to retrieve the list of headers.
 * 
 */
public class LightMessage extends Message {

    /**
     * Default Constructor
     */
    public LightMessage() {
    }


    public void serialize(DataOutputStream dout) throws IOException {
        throw new IOException("Can't serialize a Light Message");
    }


    public void deserialize(DataInputStream din) throws IOException {
        msgid = din.readUTF();

        // Deserialize flags
        flags.deserialize(din);

        headers = ComplexSerializer.deserializeHashTable(din);

        contentType = din.readUTF();
        sent = new Date(din.readLong());
        received = new Date(din.readLong());

        content = null;
        // Flag this message as incomplete
        incomplete = true;
    }

}
